package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.entity.ServiceInfo;
import com.diagbot.mapper.ServiceInfoMapper;
import com.diagbot.service.ServiceInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 用户服务表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2018-09-17
 */
@Service
public class ServiceInfoServiceImpl extends ServiceImpl<ServiceInfoMapper, ServiceInfo> implements ServiceInfoService {
    public List<ServiceInfo> findByName(String name) {
        return baseMapper.findByName(name);
    }

    public List<ServiceInfo> getListByUserId(Long userId) {
        return baseMapper.getListByUserId(userId);
    }

    public IPage<ServiceInfo> selectServiceListPage(Page<ServiceInfo> page, ServiceInfo serviceInfo) {
        return baseMapper.selectServiceListPage(page, serviceInfo);
    }
}
